## AWS Integrated Application Test Kit (IATK)

:warning: **AWS Integrated Application Test Kit is under Public Preview**

AWS Integrated Application Test Kit (IATK), a new open-source test library that makes it easier for developers to create tests for cloud applications with increased speed and accuracy. With AWS IATK, developers can quickly write tests that exercise their code and its AWS integrations against an environment in the cloud, making it easier to catch mistakes early in the development process. IATK includes utilities to generate test events, validate event delivery and structure in Amazon EventBridge Event Bus, and assertions to validate call flow using AWS X-Ray traces.

The AWS IATK is available for Python3.8+

Documentation: https://awslabs.github.io/aws-iatk/

## Getting Started

For a detailed walkthrough, see the tutorial or [examples](https://github.com/awslabs/aws-iatk/tree/examples).

### Install

```
pip3 install aws-iatk
```

## Getting Help

The best way to interact with our team is through Github. You can open an [issue](https://github.com/awslabs/aws-iatk/issues).

## Contributing

We welcome community contributions and pull requests. See [CONTRIBUTING.md](./CONTRIBUTING.md) for information on how to set up a development environment and submit code.

## Security

See [CONTRIBUTING](CONTRIBUTING.md#security-issue-notifications) for more information.

## License

This project is licensed under the Apache-2.0 License.
